Subject: Re: [Shop-talk] Buying a new compressor of just the 'compressor'?

From: Dave Cavanaugh <[email-masked]>
Date: Wed, 25 Nov 2015 15:12:50 -0800

I would replace the whole thing, and my next compressor is going to be a 
two stage unit.

On 11/25/2015 6:07 AM, [email-masked] wrote:
> First, Happy T'day to all the US folk here.  For your not in the US, have
> a great day as well.
>
>
> On to the question...
>
> I have a compressor that I have been using for about 20 years now (wow,
> has it really been that long?)
>
> Recently, the compressor is leaking some oil.  So I know a replacement is
> coming up.  My question, is it better to replace the whole unit, or just
> the compressor pump?
>
> I was leaning to the whole unit just to avoid any issues with rusted
> tanks, etc.  Also, I could sell the old one to someone who really needs
> one and is willing to take the time to fix it for a low price.
>
> So, if you were buying a new compressor, what one would you go for under
> $2000?  (240v of course.)
>
> Thanks.
>
>
> Sent from my Commodore 64 on a 2400 Baud Modem.
> Eric P
> "Be as beneficent as the sun or the sea, but if your rights as a rational
> being are trenched on, die on the first inch of your territory." Ralph
> Waldo Emerson
> _______________________________________________
>
> [email-masked]
> Donate: http://www.team.net/donate.html
> Suggested annual donation  $12.96
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe/Manage: http://autox.team.net/mailman/options/shop-talk/[email-masked]
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive

---

From: Jack Brooks <[email-masked]>
Date: Wed, 25 Nov 2015 17:09:10 -0800

Thoughts on compressor longevity; When I changed out the anode in my hot
water heater ( you all do this every 5-10 years right?) the new one was a
tad long to clear the ceiling, so I trimmed off about 6 inches..  I dropped
that 6 inch section into my compressor tank (horizontal cylinder) about 10
years ago.  I hope it is doing its job.

BTW - Really, you should be changing your water heater anodes every 5-10
years.

Jack

-----Original Message-----
From: Shop-talk [mailto:[email-masked]] On Behalf Of
Randall
Sent: Wednesday, November 25, 2015 4:13 PM
To: [email-masked]
Subject: Re: [Shop-talk] Buying a new compressor of just the 'compressor'?

> My question, is it better to replace the whole unit, or just the 
> compressor pump?

Even here in relatively dry southern California, my last (cheap) compressor
tank rusted through and started leaking before the compressor packed it in.
At one point I also had the pressure control switch malfunction and leave
the compressor running; plus the pop-off valve didn't do it's job
(apparently full of wasp's nest).  Probably lucky it didn't explode, but the
single stage compressor would only go so high.  The PRV sure screamed a long
time after I touched it, though!  So if you're looking to go another
20 years, my suggestion would be to replace all of it.

> So, if you were buying a new compressor, what one would you go for 
> under $2000?  (240v of course.)

Ingersoll-Rand is the "gold standard" for air compressors IMO.  I'd find an
IR model that suits your needs and go with that.  The one I use was made by
IR, but sold by Sears.  It's probably 20 years old by now (I bought it used)
and still going strong, but I don't use it all that much.

-- Randall

[email-masked]
Archive: http://www.team.net/archive
http://autox.team.net/mailman/options/shop-talk/[email-masked]
_______________________________________________

[email-masked]